summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-747261-arch-specific-conflicts
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2014-05-12 21:25:43 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2014-05-12 21:25:43 +0200
commit4f6d26b4d41474aa390329b7e9cb167eb70b2821 (patch)
treea9e5b84066681eafea79b1fbfac9dcea08f74843 /test/integration/test-bug-747261-arch-specific-conflicts
parentb2db070b7b633e03674c0ae8765025c29a4d4490 (diff)
(try to) fix travis-ci build failures
dpkg on Ubuntu 12.04 does not seem to support parsing arch-specific dependencies, so we try to detect if we face such a dpkg in the test. In the other test the order depends on libdb, which changes per arch, so we just run it through our sorting binary and be happy (hopefully). Git-Dch: Ignore
Diffstat (limited to 'test/integration/test-bug-747261-arch-specific-conflicts')
-rwxr-xr-xtest/integration/test-bug-747261-arch-specific-conflicts15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/integration/test-bug-747261-arch-specific-conflicts b/test/integration/test-bug-747261-arch-specific-conflicts
index bfb2d089f..be971b89e 100755
--- a/test/integration/test-bug-747261-arch-specific-conflicts
+++ b/test/integration/test-bug-747261-arch-specific-conflicts
@@ -6,6 +6,21 @@ TESTDIR=$(readlink -f $(dirname $0))
setupenvironment
configarchitecture 'amd64' 'sparc' 'armel'
+msgtest 'Check that dpkg supports' 'arch-specific dependencies'
+set +e
+# this fails always, the question is just how it fails
+dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null 2>/dev/null >/dev/null
+RETURNCODE=$?
+set -e
+if [ "$RETURNCODE" != '1' ]; then
+ dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null || true
+ echo "Command had returncode: $RETURNCODE"
+ msgskip
+ exit 0
+else
+ msgpass
+fi
+
buildsimplenativepackage 'libc6' 'amd64,sparc,armel' '1' 'stable' 'Multi-Arch: same'
buildsimplenativepackage 'libc6-i386' 'amd64' '1' 'stable' 'Conflicts: libc6:sparc'